Unable to execute gnucash on Solaris 9

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Unable to execute gnucash on Solaris 9

KSGROI3
I installed Gnucash 1.4.7 on Solaris 9 (I know this is an older version
but it's the closest one I could find for SOlaris 9 - even though it was
build for Solaris 8).
But when I run /usr/local/bin/gnucash I get the following error:

./gnucash: syntax error at line 1: `(' unexpected

I installed gnucash from GNUcash.1.4.7.Solaris.8.pkg
using pkgadd - am I executing the right binary to launch Gnucash once it
is installed?


Thanks,

_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user
Reply | Threaded
Open this post in threaded view
|

Re: Unable to execute gnucash on Solaris 9

Josh Sled
On Tue, 2005-12-06 at 21:25 -0500, [hidden email] wrote:

> I installed Gnucash 1.4.7 on Solaris 9 (I know this is an older version
> but it's the closest one I could find for SOlaris 9 - even though it was
> build for Solaris 8).
> But when I run /usr/local/bin/gnucash I get the following error:
>
> ./gnucash: syntax error at line 1: `(' unexpected
>
> I installed gnucash from GNUcash.1.4.7.Solaris.8.pkg
> using pkgadd - am I executing the right binary to launch Gnucash once it
> is installed?

Where did you get this from?  We distribute 1.4.11 for solaris8 at
http://www.gnucash.org/pub/gnucash/solaris-8/, as well as 1.6.0...
but...

... we're currently on 1.8.12.  You really should figure out how to run
1.8 any way you can.

...jsled
--
http://asynchronous.org/ - `a=jsled; b=asynchronous.org; echo ${a}@${b}`
_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user
Reply | Threaded
Open this post in threaded view
|

Re: Unable to execute gnucash on Solaris 9

Derek Atkins
In reply to this post by KSGROI3
1.4.x is SO OLD than none of the current devs worked on it.
You should build 1.8.12 from source.

-derek

Quoting [hidden email]:

> I installed Gnucash 1.4.7 on Solaris 9 (I know this is an older version
> but it's the closest one I could find for SOlaris 9 - even though it was
> build for Solaris 8).
> But when I run /usr/local/bin/gnucash I get the following error:
>
> ./gnucash: syntax error at line 1: `(' unexpected
>
> I installed gnucash from GNUcash.1.4.7.Solaris.8.pkg
> using pkgadd - am I executing the right binary to launch Gnucash once it
> is installed?
>
>
> Thanks,
>
> _______________________________________________
> gnucash-user mailing list
> [hidden email]
> https://lists.gnucash.org/mailman/listinfo/gnucash-user
>



--
       Derek Atkins, SB '93 MIT EE, SM '95 MIT Media Laboratory
       Member, MIT Student Information Processing Board  (SIPB)
       URL: http://web.mit.edu/warlord/    PP-ASEL-IA     N1NWH
       [hidden email]                        PGP key available

_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user
Reply | Threaded
Open this post in threaded view
|

Re: Unable to execute gnucash on Solaris 9

Beth Leonard
In reply to this post by KSGROI3
On Tue, Dec 06, 2005 at 09:25:45PM -0500, [hidden email] wrote:

> I installed Gnucash 1.4.7 on Solaris 9 (I know this is an older version
> but it's the closest one I could find for SOlaris 9 - even though it was
> build for Solaris 8).
> But when I run /usr/local/bin/gnucash I get the following error:
>
> ./gnucash: syntax error at line 1: `(' unexpected
>
> I installed gnucash from GNUcash.1.4.7.Solaris.8.pkg
> using pkgadd - am I executing the right binary to launch Gnucash once it
> is installed?

I agree that you need a newer version of gnucash, but with respect
to your particular error, a little bird whispered in my ear that
Solaris did not recognize your binary as a valid binary, and attempted
to execute it as a shell script instead.  i.e. the binary you're
using is not compatible with your OS and/or processor; you'll need a
different binary.

--Beth
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+                             Beth Leonard                          +
+       O say, does that star-spangled banner yet wave              +
+       O'er the land of the free and the home of the brave?        +
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user
Reply | Threaded
Open this post in threaded view
|

Re: Unable to execute gnucash on Solaris 9

Neil Williams-2
On Wednesday 07 December 2005 5:41 am, Beth Leonard wrote:

> On Tue, Dec 06, 2005 at 09:25:45PM -0500, [hidden email] wrote:
> > I installed Gnucash 1.4.7 on Solaris 9 (I know this is an older version
> > but it's the closest one I could find for SOlaris 9 - even though it was
> > build for Solaris 8).
> > But when I run /usr/local/bin/gnucash I get the following error:
> >
> > ./gnucash: syntax error at line 1: `(' unexpected
> >
> > I installed gnucash from GNUcash.1.4.7.Solaris.8.pkg
> > using pkgadd - am I executing the right binary to launch Gnucash once it
> > is installed?
>
> I agree that you need a newer version of gnucash, but with respect
> to your particular error, a little bird whispered in my ear that
> Solaris did not recognize your binary as a valid binary, and attempted
> to execute it as a shell script instead.  i.e. the binary you're
> using is not compatible with your OS and/or processor; you'll need a
> different binary.
>
> --Beth
(Beth: the 'gnucash' executable in /usr/bin IS a script - it loads guile
behind the scenes.)

$ head /opt/garfield/gnucash/bin/gnucash
#!/bin/sh
PATH="/opt/garfield/gnucash/libexec/overrides:${PATH}"
export PATH

You would have similar results with $ head /usr/bin/gnucash

--

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user

attachment0 (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Unable to execute gnucash on Solaris 9

Derek Atkins
Quoting Neil Williams <[hidden email]>:

> (Beth: the 'gnucash' executable in /usr/bin IS a script - it loads guile
> behind the scenes.)
>
> $ head /opt/garfield/gnucash/bin/gnucash
> #!/bin/sh
> PATH="/opt/garfield/gnucash/libexec/overrides:${PATH}"
> export PATH
>
> You would have similar results with $ head /usr/bin/gnucash

Was it in 1.4?  I don't remember.  Somewhere around 1.2-1.5 is when
it was converted from an App to a Script.  I just don't remember
when, exactly.

-derek

--
       Derek Atkins, SB '93 MIT EE, SM '95 MIT Media Laboratory
       Member, MIT Student Information Processing Board  (SIPB)
       URL: http://web.mit.edu/warlord/    PP-ASEL-IA     N1NWH
       [hidden email]                        PGP key available

_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user
Reply | Threaded
Open this post in threaded view
|

Re: Unable to execute gnucash on Solaris 9

Derek Atkins
Derek Atkins <[hidden email]> writes:

> Quoting Neil Williams <[hidden email]>:
>
>> (Beth: the 'gnucash' executable in /usr/bin IS a script - it loads guile
>> behind the scenes.)
>>
>> $ head /opt/garfield/gnucash/bin/gnucash
>> #!/bin/sh
>> PATH="/opt/garfield/gnucash/libexec/overrides:${PATH}"
>> export PATH
>>
>> You would have similar results with $ head /usr/bin/gnucash
>
> Was it in 1.4?  I don't remember.  Somewhere around 1.2-1.5 is when
> it was converted from an App to a Script.  I just don't remember
> when, exactly.

For the record, I just looked in SVN on the 1.4 branch, and 'gnucash'
/IS/ a binary, not a script..  That's exactly what I thought.  So,
Beth is correct, Neil in incorrect.  :)

-derek
--
       Derek Atkins, SB '93 MIT EE, SM '95 MIT Media Laboratory
       Member, MIT Student Information Processing Board  (SIPB)
       URL: http://web.mit.edu/warlord/    PP-ASEL-IA     N1NWH
       [hidden email]                        PGP key available
_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user